#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libmspack
Version		:	0.10.1alpha
Release		:	14.4.0.0%{?dist}
Summary		:	Library for CAB and related files compression and decompression

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://www.cabextract.org.uk/libmspack/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	doxygen
BuildRequires	:	gcc
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
The purpose of libmspack is to provide both
compression and decompression of some loosely
related file formats used by Microsoft.
 

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc %{name}/README %{name}/TODO %{name}/ChangeLog %{name}/AUTHORS
%license %{name}/COPYING.LIB
%{_libdir}/%{name}.so.0*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries, header files and documentation
for developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%doc %{name}/doc/html
%{_includedir}/mspack.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

pushd %{name}

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\
	--disable-silent-rules

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	-C %{name}					\
	DESTDIR=%{buildroot}				\
	install

pushd %{name}/doc
doxygen
find html -type f | xargs touch -r %{SOURCE0}
rm -f html/installdox
popd

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
